
body{
	font-family: 'Open Sans', sans-serif;
}



a{
	color: unset;
	text-decoration: unset;
}





// Cores
$gray100 : #FAFAFA;
$gray300 : #E9E9E9;
$gray500 : #A8A8A8;
$gray700 : #707070;
$gray800 : #333333;
$gray900 : #222222;


$red100 : #F6D0D1;
$red300 : #ED686B;
$red500 : #EC1C24;
$red700 : #9A0000;
$red900 : #68181E;

// Class color
.color-gray100{
	color: $gray100;
}
.color-gray300{
	color: $gray300;
}
.color-gray500{
	color: $gray500;
}
.color-gray700{
	color: $gray700;
}
.color-gray800{
	color: $gray800;
}
.color-gray900{
	color: $gray900;
}


// Class background
.color-red100{
	color: $red100;
}
.color-red300{
	color: $red300;
}
.color-red500{
	color: $red500;
}
.color-red700{
	color: $red700;
}
.color-red900{
	color: $red900;
}

.bg-gray100{
	background-color: $gray100;
}
.bg-gray300{
	background-color: $gray300;
}
.bg-gray500{
	background-color: $gray500;
}
.bg-gray700{
	background-color: $gray700;
}
.bg-gray800{
	background-color: $gray800;
}
.bg-gray900{
	background-color: $gray900;
}

.bg-red100{
	background-color: $red100;
}
.bg-red300{
	background-color: $red300;
}
.bg-red500{
	background-color: $red500;
}
.bg-red700{
	background-color: $red700;
}
.bg-red900{
	background-color: $red900;
}



/* ===== Scrollbar CSS ===== */
/* Firefox */
* {
	scrollbar-width: auto;
	scrollbar-color: $gray800 transparent;
}

/* Chrome, Edge, and Safari */
*::-webkit-scrollbar {
	width: 5px;
}

*::-webkit-scrollbar-track {
	background: transparent;
}

*::-webkit-scrollbar-thumb {
	background-color: $gray800;
	border-radius: 20px;
	border: 0px none $gray100;
}




// Icons
.share{
	display: flex;
	align-items: center;
	ul{
		list-style: none;
		display: -webkit-inline-box;
		margin: 0;
		padding: 0;
		li{
			padding-right: 0.8em;

			&:last-child{
				padding-right: 0;
			}
		}
	}
}


.social-icons{
	min-width: 32px;
	height: 32px;
	display: flex;
	justify-content: center;
	align-items: center;
	border-radius: 6px;
	margin: 2px 0;
	transition: margin 0.2s;

	span{
		margin-left: 0.5em;
		text-transform: uppercase;
		font-weight: bold;
		font-size: 0.8em;
	}

	&:hover{
		margin: 0px 0px 4px 0px;
	}

	img{
		width: 50%;
		height: 50%;
		object-fit: contain;
	}

	&.telegram{
		background-color: #30AAE9;
	}
	&.facebook{
		background-color: #4A68A8;
	}
	&.twitter{
		background-color: #1DA1F2;
	}
	&.whatsapp{
		background-color: #25D366;
		padding: 0 1em;
		color: #fff;

	}
}


//Header top
.header-top{
	background-color: #000;
	width: 100%;
	padding: 16px 0;
	height: 58px;
	display: flex;
	align-items: center;
	justify-content: center;
	top: 0;
	z-index: 1;
}


//Header Menu
.header-menu{	
	position: sticky;
	top: 0;
	padding-top: 1em;
	z-index: 1;

	.col-menu{
		background-color: $gray800;
		padding: 25px;
		border-radius: 8px;

		h2{
			margin: 0;
			font-weight: bold;
		}

		@media (max-width: 768px){
			h2{
				margin: 0 auto 0.5em auto;
			}

			.share{
				margin: auto;
			}
		}
	}


	&::before{
		content: '';
		background-color: $gray900;
		width: 100%;
		padding: 16px 0;
		height: 58px;
		top: 0;
		position: absolute;
		z-index: -1;
	}
}


//Listagem de Blog



.col-item-blog{
	padding: 1em 0;
	position: relative;

	.thumbnail{
		width: 100%;
		max-height: 300px;
		object-fit: cover;
		margin: 5px 0px;
		transition: margin 0.2s;
	}

	.title{
		font-size: 1.5em;
	}

	a{
		transition: color 0.2s;

		&:hover{
			color: $red500;

			.thumbnail{
				margin: 0px 0px 10px 0px;
			}
		}
	}


	.info-publish{
		img{
			margin-right: 0.5em;
		}
		span{
			font-size: 0.9em;
			font-weight: bold;
		}
	}

	&::before{
		content: '';
		height: 0;
		width: 3px;
		bottom: 0;
		right: 0;
		position: absolute;
		background-color: #000;
		opacity: 0;
		transition: all 0.5s;
	}

	&:hover{
		&::before{
			height: 100%;
			opacity: 1;
		}
	}
}



//Anúncios
@mixin styleAds{
	background-color: $gray100;
	padding: 1em;
	position: relative;
	width: 300px;
	max-width: 100%;
	height: 600px;
	text-align: center;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
}
.col-ads-vertical-home{
	@include styleAds;

	span{
		position: relative;
		text-align: center;
		margin-bottom: 1em
	}

	.item-ads{
		width: 100%;
		height: 100%;
		background-color: #D2D2D2;
	}
}

.col-ads-vertical-single{
	@include styleAds;
	height: 300px;

	span{
		position: relative;
		text-align: center;
		margin-bottom: 1em
	}

	.item-ads{
		width: 100%;
		height: 100%;
		background-color: #D2D2D2;
	}
}




//Header share single page
.header-single-share{
	.col-info{
		border-radius: 8px;
		padding: 15px;
	}

	.info-publish{
		img{
			margin-right: 0.5em;
		}
		span{
			font-size: 0.9em;
			font-weight: bold;
		}
	}

	@media (max-width: 768px){
		.info-publish{
			margin: auto;
		}

		.share{
			margin: auto;
		}
	}
}

//Conteudo Blog
.content-blog{
	.title{
		font-size: 2.5em;
		font-weight: bold;
	}
	.excerpt{
		opacity: 0.85;
		font-size: 1.5em;
	}

	.thumbnail{
		width: 100%;
		object-fit: contain;
	}

	.content{
		font-size: 1.2em;
		
		figure.aligncenter{
			margin: auto;
			text-align: center;
		}
		figure, img{
			max-width: 100%;
		}
	}

	@media (max-width: 768px){
		.title{
			font-size: 2em;
		}
		.excerpt{
			font-size: 1.2em;
		}
	}
}




//Pagina 404
.page-404{
	text-align: center;
	padding: 5em 0;
}